Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 769125 (CVE-2021-21303) - <app-admin/helm-3.5.4: insufficient input validation (CVE-2021-21303)
Summary: <app-admin/helm-3.5.4: insufficient input validation (CVE-2021-21303)
Status: CONFIRMED
Alias: CVE-2021-21303
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://github.com/helm/helm/security...
Whiteboard: B4 [glsa?]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-06 20:46 UTC by John Helmert III
Modified: 2021-08-07 21:48 UTC (History)
1 user (show)

See Also:
Package list:
app-admin/helm-3.5.4 *
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-02-06 20:46:12 UTC
CVE-2021-21303:

Helm is open-source software which is essentially "The Kubernetes Package Manager". Helm is a tool for managing Charts. Charts are packages of pre-configured Kubernetes resources. In Helm from version 3.0 and before version 3.5.2, there a few cases where data loaded from potentially untrusted sources was not properly sanitized. When a SemVer in the `version` field of a chart is invalid, in some cases Helm allows the string to be used "as is" without sanitizing. Helm fails to properly sanitized some fields present on Helm repository `index.yaml` files. Helm does not properly sanitized some fields in the `plugin.yaml` file for plugins In some cases, Helm does not properly sanitize the fields in the `Chart.yaml` file. By exploiting these attack vectors, core maintainers were able to send deceptive information to a terminal screen running the `helm` command, as well as obscure or alter information on the screen. In some cases, we could send codes that terminals used to execute higher-order logic, like clearing a terminal screen. Further, during evaluation, the Helm maintainers discovered a few other fields that were not properly sanitized when read out of repository index files. This fix remedies all such cases, and once again enforces SemVer2 policies on version fields. All users of the Helm 3 should upgrade to the fixed version 3.5.2 or later. Those who use Helm as a library should verify that they either sanitize this data on their own, or use the proper Helm API calls to sanitize the data.


Please bump to 3.5.2.
Comment 1 John Helmert III gentoo-dev Security 2021-07-25 01:08:16 UTC
Please stabilize 3.5.4.
Comment 2 Larry the Git Cow gentoo-dev 2021-07-25 01:33:50 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed3d79c8da29bfc0db15df769a115cc1eff46091

commit ed3d79c8da29bfc0db15df769a115cc1eff46091
Author:     William Hubbs <williamh@gentoo.org>
AuthorDate: 2021-07-25 01:33:03 +0000
Commit:     William Hubbs <williamh@gentoo.org>
CommitDate: 2021-07-25 01:33:30 +0000

    app-admin/helm: stabilize 3.5.4
    
    Bug: https://bugs.gentoo.org/769125
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: William Hubbs <williamh@gentoo.org>

 app-admin/helm/helm-3.5.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Larry the Git Cow gentoo-dev 2021-07-25 01:40:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72da58738ed78c27f5bc8b7c82ca710675eec53c

commit 72da58738ed78c27f5bc8b7c82ca710675eec53c
Author:     William Hubbs <williamh@gentoo.org>
AuthorDate: 2021-07-25 01:39:04 +0000
Commit:     William Hubbs <williamh@gentoo.org>
CommitDate: 2021-07-25 01:39:56 +0000

    app-admin/helm: remove old
    
    Bug: https://bugs.gentoo.org/769125
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: William Hubbs <williamh@gentoo.org>

 app-admin/helm/Manifest          |  355 -----------
 app-admin/helm/helm-3.3.4.ebuild | 1032 --------------------------------
 app-admin/helm/helm-3.4.1.ebuild | 1171 -------------------------------------
 app-admin/helm/helm-3.4.2.ebuild | 1200 --------------------------------------
 4 files changed, 3758 deletions(-)
Comment 4 NATTkA bot gentoo-dev 2021-08-07 21:48:36 UTC
Unable to check for sanity:

> no match for package: app-admin/helm-3.5.4